/* _dict.cc 13/03/1999 13.51.14 */
/* tledit.tlcc 03/02/2001 15.09.56 */
/* tlnode.tlcc 03/02/2001 15.09.56 */
PUBLIC TLNODE::TLNODE (TLNODE_TYPE _type,
	 const char *_start,
	 const char *_title,
	 const char *_rest,
	 const char *_comment);
PUBLIC void TLNODE::set (TLNODE_TYPE _type,
	 const char *_start,
	 const char *_title,
	 const char *_rest,
	 const char *_comment);
PUBLIC void TLNODE::indent (const char *prefix, SSTRING&newtext);
PUBLIC int TLNODE::edit (bool viewsub, FRAMEWORK_INFO&info);
PUBLIC void TLNODE::replace (const char *newtext, bool viewsub);
PUBLIC TLNODE *TLNODES::getitem (int no)const;
PUBLIC int TLNODE::write (SSTREAM&ss, int level, int showsub);
PUBLIC int TLNODES::write (SSTREAM&ss, int level, int showsub);
PUBLIC int TLNODE::write (const char *fname);
PUBLIC TLNODE_CTX::TLNODE_CTX (void);
PUBLIC void TLNODE_CTX::setfirst (TLNODE *first, bool _replace);
PUBLIC void TLNODE_CTX::pop (void);
PUBLIC void TLNODE_CTX::push (void);
PUBLIC void TLNODE_CTX::next (TLNODE_TYPE type,
	 const char *line,
	 const char *mark,
	 int skip);
PUBLIC void TLNODE_CTX::next (TLNODE_TYPE type, const char *title);
PUBLIC void TLNODE_CTX::append (const char *line);
PUBLIC int TLNODE::read (SSTREAM&ss, bool replace);
PUBLIC int TLNODE::read (const char *fname);
PUBLIC void TLNODE::gettext (SSTRING&txt, bool showsub);
PUBLIC void TLNODE::gettext (SSTRING&txt);
